Bug 493113 - Could not initialise Xv output
Could not initialise Xv output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
http://www.smolts.org/client/show/pub...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 13:05 EDT by Jerry Amundson
Modified: 2009-11-08 18:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-08 18:27:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log for M76 (38.79 KB, text/plain)
2009-04-01 18:09 EDT, Martin Ebourne
no flags Details
dmesg for M76 (51.95 KB, text/plain)
2009-04-01 18:09 EDT, Martin Ebourne
no flags Details

  None (edit)
Description Jerry Amundson 2009-03-31 13:05:38 EDT
Description of problem:
ran gstreamer-properties, set video output to X11/XShm/Xv.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.ran gstreamer-properties
2.set video output to X11/XShm/Xv
3.Test
  
Actual results:
X Window System (X11/XShm/Xv): Could not initialise Xv output

Expected results:
Successful test.

Additional info:
gstreamer-properties-Message: Error running pipeline 'X Window System (X11/XShm/Xv)': Could not initialise Xv output [xvimagesink.c(1352): gst_xvimagesink_get_xv_support (): /GstPipeline:pipeline0/GstXvImageSink:xvimagesink3:
No port available]
Comment 1 Jerry Amundson 2009-04-01 12:13:18 EDT
Also getting this on ATI Technologies Inc RV610 [Radeon HD 2400 XT] [1002:94c1] :
http://www.smolts.org/client/show/pub_b50b88d7-b997-45b7-95dc-b5d08935eaae
Comment 2 Martin Ebourne 2009-04-01 17:44:05 EDT
Same problem on ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
Using radeon test day live usb.
http://www.smolts.org/client/show/pub_bf164e34-ffe2-4be8-a306-49f5674a649c
Comment 3 Till Maas 2009-04-01 17:45:48 EDT
same with Radeon HD 3200 on test day live usb:
http://www.smolts.org/show?uuid=pub_dd3d0c48-9a13-4ecd-a8a7-70b3de694bf2
Comment 4 François Cami 2009-04-01 17:49:13 EDT
    Thanks for the bug report. We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue. 

    Please attach your X server log file (/var/log/Xorg.*.log) and the output of "dmesg" to the bug report as individual *uncompressed, text/plain* file attachments using the bugzilla file attachment link below. 
    
    We will review this issue again once you've had a chance to attach this information. 

    Thank you in advance. 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Martin Ebourne 2009-04-01 18:09:21 EDT
Created attachment 337675 [details]
xorg log for M76
Comment 6 Martin Ebourne 2009-04-01 18:09:49 EDT
Created attachment 337676 [details]
dmesg for M76
Comment 7 Dave Airlie 2009-04-01 19:01:40 EDT
You can't have KMS and Xv at the same time yet as the code to join the dots isn't written yet.


if this is a pre-r600 card, try the latest xorg-x11-drv-ati from koji which shuold fix it.
Comment 8 Bug Zapper 2009-06-09 08:52:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Suvayu 2009-10-04 19:34:19 EDT
I got a similar message when doing the XVideo test[1] for radeon test day.[2]

gstreamer-properties-Message: Error running pipeline 'X Window System (X11/XShm/Xv)': Could not initialise Xv output [xvimagesink.c(1412): gst_xvimagesink_get_xv_support (): /GstPipeline:pipeline0/GstXvImageSink:xvimagesink2:No port available]

playback in totem was fine except for some video corruption when parts of the video is by another window (always on top ticked) while moving around the totem window. The video was also a little jerky while moving around.

While repeating this test for the fast user switch test[3], I get this in the terminal while playback:

The video output is in use by another application. Please close other video applications, or select another video output in the Multimedia Systems Selector
** Message: Error: Could not initialise Xv output
xvimagesink.c(1412): gst_xvimagesink_get_xv_support (): /GstGConfVideoSink:video-sink/GstBin:bin0/GstXvImageSink:xvimagesink0:
No port available

My hardware is ATI Radeon HD4870
http://www.smolts.org/client/show/pub_2f38f4fa-8c22-41da-8b4e-c1994af47fa4

[1] https://fedoraproject.org/wiki/QA:Testcase_radeon_xvideo
[2] https://fedoraproject.org/wiki/Test_Day:2009-09-09_Radeon
[3] https://fedoraproject.org/wiki/QA:Testcase_radeon_fastuserswitch
Comment 10 Matěj Cepl 2009-11-05 13:24:03 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Jerry Amundson 2009-11-05 16:01:44 EST
I can no longer reproduce this on either fc11 or fc12.
Comment 12 Matěj Cepl 2009-11-08 18:27:46 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.